MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0022595Community[OCCT] OCCT:Modeling Algorithmspublic2011-06-10 17:292012-03-29 17:26
Reporterszy 
Assigned Tobugmaster 
PrioritynormalSeverityfeature 
StatusclosedResolutionfixed 
PlatformOSAllOS Version
Product Version 
Target Version[OCCT] 6.5.2Fixed in Version[OCCT] 6.5.2 
Summary0022595: gp_Mat's constructors incompletely initilize memory
DescriptionRLN_fix435
- Summary: gp_Mat's constructors incompletely initilize memory when compiled by
gcc 4.1.2 with -O2
- Detailed description: gp_Mat constructors use indirect memory reference
((Standard_Real*)&matrix[0][0])[i]) to access elements of the member field
matrix[3][3]. Likely due to gcc bug this results in uninitialized memory and
further crashes when using that garbage. See details at
http://www.opencascade.org/org/forum/thread_19603/. [^]
gp_XYZ.lxx had to be fixed as well since it used the same macros defined in
gp_Mat.lxx. Macros in gp_Mat.lxx could be removed too to avoid possible
conflicts with user's code but currently left to minimize modifications.
TagsNo tags attached.
Test case numberchl 937 C4
Attached Filesgz file icon draw_command_OCC22595.tar.gz (32,332 bytes) 2011-07-11 11:35
gz file icon chl_937_C4.tar.gz (494 bytes) 2011-07-11 11:36

- Relationships
child of 0022825closedabv Integration of contributions by Roman Lygin to OCCT 6.5.2 

-  Notes
(0017655)
kgv (developer)
2011-06-16 18:54

SVN branch http://svn/svn/occt/branches/OCC22595_MatExplicitfields [^] passed
review without remarks.

Branch is ready for testing.
(0017656)
ycy (tester)
2011-07-11 13:35
edited on: 2011-11-25 11:33

Dear BugMaster,
SVN branch ( http://svn/svn/occt/branches/OCC22595_MatExplicitfields [^] ) was
testing, test results were compared with KAS:dev:products-651-opt

Regressions were not found
Create DRAW-command for this bug ( OCC22595 )
Test case for this bug ( chl/937/C4 )

See results in /KASDev/OCCTtests/KAS/dev/products-testing_23062011/lin
See reference results in
/QADisk/occttests/results/KAS/dev/products-651-opt_01062011/lin
See test cases in /QADisk/occttests/tests/ED
N.B. In order to launch testing case you can make use the following instructions
http://sbu.nnov.opencascade.com/maintenance/main_certification_te.html [^]

(0017659)
bugmaster (administrator)
2011-07-14 20:36

Integrated to occt repository
Date: 2011-07-14 18:35:26 +0400 (Thu, 14 Jul 2011)
New Revision: 8691

Modified:
   trunk/src/gp/gp_Mat.lxx
   trunk/src/gp/gp_XYZ.lxx

- Related Changesets
occt: master 0c7386be
Timestamp: 2011-07-14 14:35:26
Author: RLN and KGV
Committer: bugmaster
Details ] Diff ]
OCC22595 gp_Mat's constructors incompletely initilize memory
mod - src/gp/gp_Mat.lxx Diff ] File ]
mod - src/gp/gp_XYZ.lxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2011-07-05 18:12 kgv CC => kgv
2011-07-14 18:40 bugmaster Status closed => assigned
2011-07-14 18:40 bugmaster Resolution suspended => @0@
2011-07-14 18:40 bugmaster Assigned To bugmaster => kgv
2011-07-14 18:40 bugmaster Status assigned => tested
2011-07-14 20:36 bugmaster Status tested => verified
2011-07-29 15:30 bugmaster Fixed in Version EMPTY =>
2011-07-29 15:30 bugmaster Target Version => 6.5.2
2011-07-29 15:30 bugmaster Description Updated View Revisions
2011-08-02 11:31 bugmaster Category OCCT:MOA => OCCT:Modeling Algorithms
2011-09-07 17:19 mkv Test case number => chl 937 C4
2011-11-25 11:33 szy Note Edited: 0017656 View Revisions
2011-12-05 11:25 abv Relationship added child of 0022825
2012-01-17 18:35 abv Assigned To kgv => Roman Lygin
2012-03-29 17:26 bugmaster Changeset attached => occt master 0c7386be


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker